<template>
  <div class="wrapper" style="overflow-y: scroll;">

    <div class="header">
      <div
        :style="`background-image: url(${require('@/assets/img/arrow-back.svg')})`"
        @click="$emit('back')"
        class="arrow-back-button"
      >
      </div>
      Адрес доставки

      <div @click.stop="mainButtonHandler($event)" class="add-button">+</div>
    </div>
    
    <div v-if="isTipOpen" class="tip">
      Выберите адрес доставки, чтобы найти ближайший магазин
      <div @click="$emit('tipClosed')" :style="`background-image: url(${require('@/assets/img/cross.svg')})`" class="cross-icon">
        </div>
    </div>

    <div v-for="(address) in addresses" :key="address.address_id" @click="CHOOSE_MAIN_ADDRESS({ data: address })" class="address">
      {{ address.description }}, {{ address.name }}
      <span v-if="address.is_main">Главный адрес</span>
      <div @click.stop="DELETE_ADDRESS({ id: address.address_id })" style="width: 20px; height: 20px; position: absolute; right: 40px; color: red;">X</div>
    </div>
    
  </div>
</template>

<script>
import {createRipple} from "@/utils/animations.js";
import { mapGetters, mapActions } from 'vuex';

export default {
  props: {
    isTipOpen: Boolean
  },
  methods: {
    ...mapActions(['DELETE_ADDRESS', 'CHOOSE_MAIN_ADDRESS']),
    createRipple,

    mainButtonHandler(event) {
      this.createRipple(event); 
      setTimeout(() => {
        this.$emit('click');
      }, 200);
    },
  },
  computed: {
    ...mapGetters(['addresses']),

  }
}
</script>

<style scoped>
@import '../styles/styles.css';
</style>